Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592053 - New package needed: libguestfs-winsupport
New package needed: libguestfs-winsupport
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs-winsupport (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
: FutureFeature
Depends On: 592052 599300
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 14:37 EDT by Richard W.M. Jones
Modified: 2010-11-11 09:47 EST (History)
4 users (show)

See Also:
Fixed In Version: libguestfs-winsupport-1.0-3.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:47:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-05-13 14:37:55 EDT
Description of problem:

This package will contain parts of the libguestfs appliance for
handling Windows guests, for V2V of Windows.
Comment 1 RHEL Product and Program Management 2010-05-13 15:06:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Richard W.M. Jones 2010-05-18 08:59:56 EDT
To QA ... Some tips on how to test this.

Firstly, 'libguestfs-test-tool' must run with and without
libguestfs-winsupport installed.

If the package 'libguestfs' is installed but 'libguestfs-winsupport' is
NOT installed, then NTFS won't work.  Example:

-----
$ guestfish 

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for help with commands
      'quit' to quit the shell

><fs> sparse /tmp/test.img 500M
><fs> run
><fs> part-disk /dev/vda mbr
><fs> mkfs ntfs /dev/vda1 
libguestfs: error: mkfs: ntfs: /dev/vda1: mkfs.ntfs: No such file or directory
><fs> available ntfs3g
libguestfs: error: available: ntfs3g: group not available
-----

However if both 'libguestfs' and 'libguestfs-winsupport' packages
are installed, then NTFS will work inside libguestfs.  Example:

-----
$ guestfish 

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for help with commands
      'quit' to quit the shell

><fs> sparse /tmp/test.img 500M
><fs> run
><fs> part-disk /dev/vda mbr
><fs> mkfs ntfs /dev/vda1 
><fs> mount /dev/vda1 /
><fs> ll /
total 4
drwxrwxrwx  1 root root 4096 May 18 12:59 .
dr-xr-xr-x 20 root root    0 May 18 12:57 ..
><fs> touch /hello
><fs> ll /
total 4
drwxrwxrwx  1 root root 4096 May 18 12:59 .
dr-xr-xr-x 20 root root    0 May 18 12:57 ..
-rwxrwxrwx  1 root root    0 May 18 12:59 hello
><fs> available ntfs3g
><fs> exit
-----

Finally, any NTFS- or Windows-guest-specific tests that NAY have
been devising should fail if libguestfs-winsupport is not installed,
and succeed if libguestfs-winsupport is installed.  The same would
apply to any Windows guest V2V testing.
Comment 5 Richard W.M. Jones 2010-05-18 09:03:13 EDT
Here are some packages that I have tested on RHEL 6
against libguestfs 1.2.7 (see bug 592052):

http://oirase.annexia.org/rpms/libguestfs-winsupport/
Comment 6 Richard W.M. Jones 2010-05-21 11:02:46 EDT
Candidate package built in brew:
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2463693
Comment 7 Jinxin Zheng 2010-06-03 00:56:37 EDT
bug 599300 states a dependency problem for this package.
Comment 8 Bill Nottingham 2010-06-30 16:14:42 EDT
When should this package be installed - what group should it live in?
Comment 14 releng-rhel@redhat.com 2010-11-11 09:47:08 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.